org.richfaces.javascript

## Interface JavaScriptService

- All Known Implementing Classes:
    JavaScriptServiceImpl

      public interface JavaScriptService

  This service stores JavaScript objects for deffered rendering, as described on http://community.jboss.org/wiki/RichFacesJavaScripthandling

  Author:
    asmirnov@exadel.com

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<S> S` | `addPageReadyScript(javax.faces.context.FacesContext facesContext, S script)` This method adds script that has to be executed in page.onready event listener, as required by jQuery components.
    `<S> S` | `addScript(javax.faces.context.FacesContext facesContext, S script)` Adds new script to render at the end of page.
    `ScriptsHolder` | `getScriptsHolder(javax.faces.context.FacesContext context)` Get object with collection of scripts designeted for deffered rendering.

- - ### Method Detail

    - #### addScript

          <S> S addScript(javax.faces.context.FacesContext facesContext,
                        S script)

      Adds new script to render at the end of page. Is the same script already set to render ( lookup by equals() method ), no new object added.

      Parameters:
        `facesContext` - TODO
        `script` -
      Returns:
        actual object that will be rendered at the end of page.

    - #### addPageReadyScript

          <S> S addPageReadyScript(javax.faces.context.FacesContext facesContext,
                                 S script)

      This method adds script that has to be executed in page.onready event listener, as required by jQuery components.

      Type Parameters:
        `S` -
      Parameters:
        `facesContext` - TODO
        `script` -
      Returns:

    - #### getScriptsHolder

          ScriptsHolder getScriptsHolder(javax.faces.context.FacesContext context)

      Get object with collection of scripts designeted for deffered rendering.

      Parameters:
        `context` -
      Returns:
        ViewResource component that holds contect of all scripts, or special case object with empty collections.

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.